# %define debug_package %{nil}
# Because it's a Mono package and generate an empty debuginfo
# http://fedoraproject.org/wiki/Packaging/Debuginfo#head-29573c4f61c3a4698b2d07c7e73cfa194785f257

Name:		gbrainy
Version:	1.1
Release:	5%{?dist}
Summary:	A brain teaser game and trainer to keep your brain trained

Group:		Amusements/Games
License:	GPLv2
URL:		http://live.gnome.org/gbrainy
Source0:	http://gent.softcatala.org/jmas/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mono-devel intltool librsvg2-devel mono-addins-devel
BuildRequires:	gtk-sharp2-devel gnome-sharp-devel
BuildRequires:  /usr/bin/desktop-file-install

# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparcv9 alpha s390 s390x ppc ppc64

%description
gbrainy is a brain teaser game and trainer to have
fun and to keep your brain trained.

It provides the following types of games:

* Logic puzzles. Games designed to challenge your
	reasoning and thinking skills.
* Mental calculation. Games based on arithmetical
	operations designed to prove your mental calculation skills.
* Memory trainers. Games designed to challenge your short term memory.

%prep
%setup -q
# To fix 460353 :
sed 's#share/games#share#' src/Defines.cs.in -i
sed 's#^images = $(datadir)/games/gbrainy$#images = $(datadir)/gbrainy#' data/Makefile.in -i

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install					\
	--delete-original				\
	--vendor fedora					\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# To fix a rpmlint issue
chmod a-x $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.exe.config

%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
if [ -x  %{_bindir}/gtk-update-icon-cache ] ; then
	%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
fi

%postun
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
if [ -x  %{_bindir}/gtk-update-icon-cache ] ; then
	%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING MAINTAINERS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/pixmaps/%{name}*

%changelog
* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1-5
- Build with ppc64 again due to obsolecense of previous update.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 01 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1-4
- Build arch ppc64.

* Tue Apr 14 2009 Benoît Marcelin <sereinity@online.fr> 1.1-3
- Re-enable ppc

* Thu Apr 09 2009 Benoît Marcelin <sereinity@online.fr> 1.1-2
- Fix buildrequires

* Wed Apr 08 2009 Benoît Marcelin <sereinity@online.fr> 1.1-1
- Update to 1.1
- Update ExclusiveArch according to mono

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 22 2008 Benoît Marcelin <sereinity@online.fr> 1.00-3
- Fix Summary

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.00-2
- rebuild for new gnome-sharp

* Thu Sep 25 2008 Benoît Marcelin <sereinity@online.fr> 1.00-1
- Clean Build Requires
- Fix bug 460353
- Upate to 1.00
- 1 new logic puzzle, 1 new memory puzzle
- Better look and feel (new background)
- Switch font drawing to Pango
- Better I18N support
- Bug fixes 

* Tue Jun 03 2008 Benoît Marcelin <sereinity@online.fr> 0.70-1
- Update to 0.70
- 8 new puzzles
- License included in the about box
- The drawing area is now square and the application resizes better
- Better score feedback
- Player's history
- Preferences persistence
- Better game selection
- Bug fixes

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-5
- Do if on more than one line (in %%post and %%postun)
- Change ExcludeArch to AxclusiveArch
- Change licence to GPLv2+
- add directory owner %%{_libdir}/%%{name}

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-4
- Update %%post ans %%postun section

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-3
- Add BuildRequires : desktop-file-utils

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-2
- Exclude arch ppc64
- Remove --add-category X-Fedora from the desktop file
- Don't generate empty debuginfo
- Add docfile MAINTAINERS

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-1
- Update to 0.61
- add gtk-update-icon-cache into post and unpost section

* Sun Mar 09 2008 Benoît Marcelin <sereinity@online.fr> 0.60-1
- Initial Fedora build
